This version myPDMtools is compatible with the following versions of PDM :

  • 2015 SP4, 2016, 2017,2018, 2019, 2020, 2021


The installation of this version requires the .NET Framework 4.5.


The versions of SolidWorks, supported by myPDMtoolsare the following:

  • SOLIDWORKS 2015, 2016, 2017, 2018, 2019, 2020, 2021


For using the DWG export in DocPublicationit is necessary to have:

  • or Drafsight Professional from version 2015 sp2 onwards
  • or AutoCAD from version 2014 onwards


For the use of export eDrawings in DocPublication 

  • from eDrawing Professional 2019 onwards


For the use of the tool PDMViewerversion, it is necessary to have the of eDrawings 2015 minimum.